Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Libquicktime doesn't work

  1. #1

    Default Libquicktime doesn't work

    Hi!

    I use a program which renders a frame sequence into a quicktime movie. The program needs libquicktime to work correctly but each time it starts, it simply says that libquicktime is not installed on this system and thus cannot render into quicktimes. I checked it in the Software Manager but I saw that libquicktime 1.0.3 is installed. I manually installed 1.1.3 but for some reason 1.0.3 is still listed as installed. But anyways, what could I have done wrong?

    Kind regards,


    Phong

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,182
    Blog Entries
    1

    Default Re: Libquicktime doesn't work

    Try
    rpm -qa |grep libquicktime
    to confirm and post output if necessary. For example, I get:

    linux:/home/dean # rpm -qa |grep libquicktime
    libquicktime1-1.0.2-100.pm.1
    Make sure you use Packman repo version.

  3. #3

    Default Re: Libquicktime doesn't work

    Hi!

    Thanks for your quick reply. I get these lines when doing the rpm command:
    libquicktime-devel-1.0.3-3.92
    libquicktime-1.0.3-3.92

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,182
    Blog Entries
    1

    Default Re: Libquicktime doesn't work

    Ok, from that result it is confirmed libquicktime was not upgraded. In any case, I would add packman repo. You probably should read this too:

    Restricted Formats - openSUSE-Community

    To get current list of configured repos on your system:

    zypper lr --details
    If you haven't already, add the Packman repo via

    YaST-Software-Software Repositories

    Click 'Add', then select 'Community Repositories', then add Packman repository. (This should be easy to do). Set its priority to 99 (lower than the oss, non-oss repos for example).

    Now try

    zypper in libquicktime1
    See how that goes.

  5. #5

    Default Re: Libquicktime doesn't work

    hmm... the application still thinks there is no libquicktime installed, so I guess the problem lies there then.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,726
    Blog Entries
    20

    Default Re: Libquicktime doesn't work

    Multi-media and Restricted Format Installation Guide - openSUSE Forums

    Follow the above carefully.

    Did you not notice you were reporting : libquicktime-1.0.3-3.92

    But you need: libquicktime1-1.0.2-100.pm.1

    You need to force an unconditional update in Packman and accept the vendor changes.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Libquicktime doesn't work

    I updated libquicktime with your approach. When I check it with rpm -qa command it confirms me:

    libquicktime0-1.1.2-100.pm.1
    libquicktime-devel-1.1.2-100.pm.1
    Still, the application thinks there's no libquicktime present.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,726
    Blog Entries
    20

    Default Re: Libquicktime doesn't work

    Post the result of this from a terminal

    Code:
    zypper lr --details
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,182
    Blog Entries
    1

    Default Re: Libquicktime doesn't work

    I use a program which renders a frame sequence into a quicktime movie.
    I meant to ask you what the name of the application is? This might be of help with fixing the problem as well.

  10. #10

    Default Re: Libquicktime doesn't work

    It's called Framecycler by IRIDAS. Perhaps I just need to talk to their support because I don't think this is an OS issue anymore, but an application setup problem. What do you think?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •